Subject: linking problems with the minimalist version
From: [email-masked] (Lachlan Roche)

11 Sep 1997 14:38:17 -0700
Message-ID: <[email-masked]>
Content-Type: text

I have been trying to use opengl with the minimalist version of gcc-win32.

I am using SGI GL for windows, and Mark Kilgard's glut32.dll

I created my link liraries link:
impdef opengl.dll > opengl.def
dlltool --dllname opengl.dll --def opengl.def --output-lib libopengl.a -v

There were no func@NN type symbols in the .def files

when linking a trivial test program, I get many errors of the form:
gltest.o(.text+0x24):gltest.c: undefined reference to `glBegin@4'

Every function I use from libglut.a libglu.a or libopengl.a gives the same
link error.

What am I doing wrong? (Something trivial, no doubt)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".